"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("../util");
const fs_1 = require("../fs");
const move_1 = require("./move");
/**
 * @function copyFileAtomic
 * @memberof fsn/nextra
 * @param source The path to the file you want to copy
 * @param destination The path to the file destination
 * @param options The write options or the encoding string.
 */
async function copyFileAtomic(source, destination) {
    const tempPath = util_1.tempFile();
    await fs_1.copyFile(source, tempPath);
    await move_1.default(tempPath, destination, { overwrite: true });
}
exports.default = copyFileAtomic;
//# sourceMappingURL=copyFileAtomic.js.map