"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const fs_1 = require("../fs");
const mkdirs_1 = require("./mkdirs");
const remove_1 = require("./remove");
/**
 * Deletes all directories and files within the provided directory.
 * @function emptydir
 * @memberof fsn/nextra
 * @param dir The directory you wish to empty
 */
/**
 * Deletes all directories and files within the provided directory.
 * @function emptyDir
 * @memberof fsn/nextra
 * @param dir The directory you wish to empty
 */
async function emptyDir(dir) {
    try {
        const items = await fs_1.readdir(dir);
        await Promise.all(items.map(item => remove_1.default(path_1.join(dir, item))));
    }
    catch (err) {
        await mkdirs_1.default(dir);
    }
}
exports.default = emptyDir;
//# sourceMappingURL=emptyDir.js.map