"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("../util");
const fs_1 = require("../fs");
const move_1 = require("./move");
/**
 * Creates a hard file link atomically.
 * @function linkAtomic
 * @memberof fsn/nextra
 * @param source The source path of the file
 * @param destination The destination path of the file
 */
async function linkAtomic(source, destination) {
    const tempPath = util_1.tempFile();
    await fs_1.link(source, tempPath);
    await move_1.default(tempPath, destination, { overwrite: true });
}
exports.default = linkAtomic;
//# sourceMappingURL=linkAtomic.js.map