"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const fs_1 = require("../fs");
const writeFileAtomic_1 = require("./writeFileAtomic");
const mkdirs_1 = require("./mkdirs");
async function outputFile(file, data, options, atomic = false) {
    if (typeof options === 'boolean')
        [atomic, options] = [options, {}];
    await mkdirs_1.default(path_1.dirname(file));
    const writeMethod = atomic ? writeFileAtomic_1.default : fs_1.writeFile;
    await writeMethod(file, data, options);
}
exports.default = outputFile;
//# sourceMappingURL=outputFile.js.map