/**
 * @typedef {Object} RemoveOptions
 * @memberof fsn/nextra
 * @property {number} [maxBusyTries = 3] The number of times fs-nextra should retry removing a busy file.
 */
interface RemoveOptions {
    maxBusyTries?: number;
}
/**
 * Removes a single file or single directory with no children.
 * @function remove
 * @memberof fsn/nextra
 * @param path The path to remove
 * @param options The remove options
 */
export default function remove(path: string, options?: RemoveOptions): Promise<void>;
export {};
