"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("../fs");
const writeFileAtomic_1 = require("./writeFileAtomic");
async function writeJSON(file, object, options = {}, atomic = false) {
    if (typeof options === 'boolean')
        [atomic, options] = [options, {}];
    const writeMethod = atomic ? writeFileAtomic_1.default : fs_1.writeFile;
    await writeMethod(file, `${JSON.stringify(object, options.replacer, options.spaces)}\n`, options);
}
exports.default = writeJSON;
//# sourceMappingURL=writeJSON.js.map